# ==================================================================
# Plugins::Community::Luna_Templates - Auto Generated Program Module
#
#   Plugins::Community::Luna_Templates
#   Author  : Jonathan Gamble
#   Version : 1.0
#   Updated : Mon Mar  7 16:18:38 2011
#
# ==================================================================
#

package Plugins::Community::Luna_Templates;
# ==================================================================

    use strict;
    use GT::Base;
    use GT::Template;
    use GT::Plugins qw/STOP CONTINUE/;
    use Community qw/$CFG $IN $DB/;

# Inherit from base class for debug and error methods
    @Plugins::Community::Luna_Templates::ISA = qw(GT::Base);

sub changeTemplateSet {
#-----------------------------------------------------------------------------------
# This plugin loads the change template set template
#
    my $new_temp = $IN->param('default_template_set');
    my $db_cgi_url = $IN->param('db_cgi_url');
    my $static_url = $IN->param('static_url');
    my $static_path = $IN->param('static_path');

    if ($new_temp) {
        $CFG->{system_template_set} = $new_temp;
        $CFG->{db_cgi_url} = $db_cgi_url if ($db_cgi_url);
        $CFG->{static_url} = $static_url if ($static_url);
        $CFG->{static_path} = $static_path if ($static_path);
        $CFG->save;
        $CFG->{updated} = 1;
    }
    print $IN->header;
    $CFG->{template_sets} = &get_template_sets;
    $CFG->{comm_version} = $CFG->{version};
    print GT::Template->parse($CFG->{path_private}.'/templates/default/admin_template_set.html', $CFG);
    return;
}
sub admin_template {
#-----------------------------------------------------------------------------------
# This hook is used to make sure all the admin templates are loaded
# using the default template set
#
    $CFG->{system_template_set} = 'default';
    return;
}

sub get_template_sets {
#-----------------------------------------------------------------------------------
# This returns a list of all template sets
#

my $tPath = $CFG->{path_private}."/templates";

opendir (DIR, $tPath) || die "Couldn't open template path: $tPath";
my @sets = grep {!/\./} readdir (DIR);
closedir(DIR);

return \@sets;
}

# Always end with a 1.
1;